<?php

namespace App\Filament\Resources\Company\UserCompanies\Pages;

use App\Filament\Resources\Company\UserCompanies\UserCompanies\UserCompanyResource;
use Filament\Resources\Pages\CreateRecord;

class CreateUserCompany extends CreateRecord
{
    protected static string $resource = UserCompanyResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        $data['user_id'] = auth('web')->id();

        return $data;
    }
}
